Create a payment template
curl --request POST \
--url https://lazyapp.in/v1/payments/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"language": "<string>",
"body": "<string>",
"phone_number_id": "<string>",
"body_examples": [
"<string>"
],
"footer": "<string>",
"header_text": "<string>",
"header_media": "<string>",
"quick_replies": [
"<string>"
]
}
'import requests
url = "https://lazyapp.in/v1/payments/templates"
payload = {
"name": "<string>",
"language": "<string>",
"body": "<string>",
"phone_number_id": "<string>",
"body_examples": ["<string>"],
"footer": "<string>",
"header_text": "<string>",
"header_media": "<string>",
"quick_replies": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
language: '<string>',
body: JSON.stringify('<string>'),
phone_number_id: '<string>',
body_examples: ['<string>'],
footer: '<string>',
header_text: '<string>',
header_media: '<string>',
quick_replies: ['<string>']
})
};
fetch('https://lazyapp.in/v1/payments/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/payments/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'language' => '<string>',
'body' => '<string>',
'phone_number_id' => '<string>',
'body_examples' => [
'<string>'
],
'footer' => '<string>',
'header_text' => '<string>',
'header_media' => '<string>',
'quick_replies' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/payments/templates"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"body_examples\": [\n \"<string>\"\n ],\n \"footer\": \"<string>\",\n \"header_text\": \"<string>\",\n \"header_media\": \"<string>\",\n \"quick_replies\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/payments/templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"body_examples\": [\n \"<string>\"\n ],\n \"footer\": \"<string>\",\n \"header_text\": \"<string>\",\n \"header_media\": \"<string>\",\n \"quick_replies\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/payments/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"body_examples\": [\n \"<string>\"\n ],\n \"footer\": \"<string>\",\n \"header_text\": \"<string>\",\n \"header_media\": \"<string>\",\n \"quick_replies\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "<string>",
"category": "<string>",
"name": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "provider_134011",
"retryable": true
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "provider_134011",
"retryable": true
}Payments
Create a payment template
Create an order details, order status or checkout button template. Send header_media as multipart for checkout.
Required scope: templates:write
POST
/
v1
/
payments
/
templates
Create a payment template
curl --request POST \
--url https://lazyapp.in/v1/payments/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"language": "<string>",
"body": "<string>",
"phone_number_id": "<string>",
"body_examples": [
"<string>"
],
"footer": "<string>",
"header_text": "<string>",
"header_media": "<string>",
"quick_replies": [
"<string>"
]
}
'import requests
url = "https://lazyapp.in/v1/payments/templates"
payload = {
"name": "<string>",
"language": "<string>",
"body": "<string>",
"phone_number_id": "<string>",
"body_examples": ["<string>"],
"footer": "<string>",
"header_text": "<string>",
"header_media": "<string>",
"quick_replies": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
language: '<string>',
body: JSON.stringify('<string>'),
phone_number_id: '<string>',
body_examples: ['<string>'],
footer: '<string>',
header_text: '<string>',
header_media: '<string>',
quick_replies: ['<string>']
})
};
fetch('https://lazyapp.in/v1/payments/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://lazyapp.in/v1/payments/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'language' => '<string>',
'body' => '<string>',
'phone_number_id' => '<string>',
'body_examples' => [
'<string>'
],
'footer' => '<string>',
'header_text' => '<string>',
'header_media' => '<string>',
'quick_replies' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://lazyapp.in/v1/payments/templates"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"body_examples\": [\n \"<string>\"\n ],\n \"footer\": \"<string>\",\n \"header_text\": \"<string>\",\n \"header_media\": \"<string>\",\n \"quick_replies\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://lazyapp.in/v1/payments/templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"body_examples\": [\n \"<string>\"\n ],\n \"footer\": \"<string>\",\n \"header_text\": \"<string>\",\n \"header_media\": \"<string>\",\n \"quick_replies\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://lazyapp.in/v1/payments/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"language\": \"<string>\",\n \"body\": \"<string>\",\n \"phone_number_id\": \"<string>\",\n \"body_examples\": [\n \"<string>\"\n ],\n \"footer\": \"<string>\",\n \"header_text\": \"<string>\",\n \"header_media\": \"<string>\",\n \"quick_replies\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "<string>",
"category": "<string>",
"name": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "The API is on the Pro plan. Upgrade in Billing to use live keys. Test keys keep working.",
"code": "plan_limit_reached"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "provider_134011",
"retryable": true
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "provider_134011",
"retryable": true
}Authorizations
Your API key, e.g. sk_live_... or sk_test_....
Headers
Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.
Maximum string length:
255Body
application/json
Available options:
order_details, order_status, checkout Pattern:
^[a-z0-9_]+$Maximum string length:
1024Maximum string length:
60Maximum string length:
60Maximum array length:
9